org.modeshape.sequencer.ddl.dialect.teiid

## Interface TeiidDdlLexicon.AlterOptions

- Enclosing class:
    TeiidDdlLexicon

      public static interface TeiidDdlLexicon.AlterOptions

  JCR names related to the alter options DDL statement.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ALTERS` The child node name for the element being altered (name is not prefixed).
    `static String` | `COLUMN` The mixin name for an alter column clause.
    `static String` | `DROPPED` The property name for the dropped schema elements.
    `static String` | `OPTIONS_LIST` The mixin name for a list of altered options.
    `static String` | `PARAMETER` The mixin name for an alter parameter clause.
    `static String` | `PROCEDURE_STATEMENT` The mixin name for an alter procedure DDL statement.
    `static String` | `REFERENCE` The column, parameter, or table reference property name.
    `static String` | `TABLE_STATEMENT` The mixin name for an alter table DDL statement.
    `static String` | `VIEW_STATEMENT` The mixin name for an alter view DDL statement.

- - ### Field Detail

    - #### ALTERS

          static final String ALTERS

      The child node name for the element being altered (name is not prefixed).
      See Also:
        Constant Field Values

    - #### COLUMN

          static final String COLUMN

      The mixin name for an alter column clause.
      See Also:
        Constant Field Values

    - #### DROPPED

          static final String DROPPED

      The property name for the dropped schema elements.
      See Also:
        Constant Field Values

    - #### OPTIONS_LIST

          static final String OPTIONS_LIST

      The mixin name for a list of altered options.
      See Also:
        Constant Field Values

    - #### PARAMETER

          static final String PARAMETER

      The mixin name for an alter parameter clause.
      See Also:
        Constant Field Values

    - #### PROCEDURE_STATEMENT

          static final String PROCEDURE_STATEMENT

      The mixin name for an alter procedure DDL statement.
      See Also:
        Constant Field Values

    - #### REFERENCE

          static final String REFERENCE

      The column, parameter, or table reference property name.
      See Also:
        Constant Field Values

    - #### TABLE_STATEMENT

          static final String TABLE_STATEMENT

      The mixin name for an alter table DDL statement.
      See Also:
        Constant Field Values

    - #### VIEW_STATEMENT

          static final String VIEW_STATEMENT

      The mixin name for an alter view DDL statement.
      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.